#-----------------------------------------------
# MultiMail Makefile (top) for Borland/Turbo C++
#-----------------------------------------------

!include version

#--------------------------------------------------------------
# Turbo C++ 3.0:

CURS_INC = \\"/tc/pdcurs24/curses.h\\"
CURS_DIR = \tc\pdcurs24
CURS_LIB = .
LIBS = spawnl.lib e:\tc\pdcurs24\dos\pdcurses.lib
#LIBS = spawnh.lib e:\tc\pdcurs24\dos\cursesh.lib
RM = del
CXX = tcc
LIST = tclist

#--------------------------------------------------------------

OBJS = interfac\mmcolor.obj interfac\mysystem.obj interfac\isoconv.obj \
interfac\basic.obj interfac\interfac.obj interfac\packet.obj \
interfac\arealist.obj interfac\letterl.obj interfac\letterw.obj \
interfac\lettpost.obj interfac\ansiview.obj interfac\addrbook.obj \
interfac\tagline.obj interfac\help.obj interfac\main.obj \
mmail\misc.obj mmail\resource.obj mmail\mmail.obj mmail\driverl.obj \
mmail\filelist.obj mmail\area.obj mmail\letter.obj mmail\read.obj \
mmail\compress.obj mmail\pktbase.obj \
mmail\bw.obj mmail\qwk.obj mmail\omen.obj mmail\soup.obj mmail\opx.obj

all:	mm

mm-main:
	cd mmail
	$(MAKE) -fMakefile.bcc -DMM_MAJOR="$(MM_MAJOR)" \
		-DMM_MINOR="$(MM_MINOR)" mm-main
	cd ..

intrfc:
	cd interfac
	$(MAKE) -fMakefile.bcc -DMM_MAJOR="$(MM_MAJOR)" \
		-DMM_MINOR="$(MM_MINOR)" -DOPTS="-I$(CURS_DIR)" \
		-DCURS_INC="$(CURS_INC)" intrfc
	cd ..

mm:	mm-main intrfc
	del mm.exe
	$(CXX) @$(LIST) $(LIBS)
	move interfac\mysystem.exe .
	ren mysystem.exe mm.exe

clean:
	cd interfac
	$(MAKE) -fMakefile.bcc -DRM="$(RM)" clean
	cd ..
	cd mmail
	$(MAKE) -fMakefile.bcc -DRM="$(RM)" clean
	cd ..
	$(RM) mm.exe

modclean:
	cd mmail
	$(MAKE) -fMakefile.bcc -DRM="$(RM)" modclean
	cd ..
